local eggsalad = {"🗞️","🧱","💣","🅱️","💜","🥺","🧶","📯","🎛️","💻","💻","🖱️","🖲️","🗃️","🔩","🗜️","🧼","🧰","🧸","🥶","🥵"} -- fill this with emojis?
for i = 1, math.random(1, 69), 1 do
  log(table.random(eggsalad))
end

-- Snake is any of the numerous elongate, limbless, scaled, carnivorous reptiles comprising the suborder Serpentes (or Ophidia) of the order Squamata. Snakes generally are distinguished from lizards—which also belong to order Squamata, but are placed in suborder Sauria (or Lacertilia)— by the absence of legs, although some lizards are legless. Snakes are also differentiated from lizards by have more flexible jaws and by lacking external ear openings and movable eyelids whereas most lizards (but not all) have movable eyelids and external ear openings.

--The more than 2,900 species of snakes are spread across every continent except Antarctica. They range in size from the tiny thread snake to pythons and anacondas over 10 meters long.

--Of the twenty biological families of snakes, three are known to be venomous (Elapidae, Viperidae, Atractaspididae) with some venomous members found in a fourth family (Colubridae), although there are indications venomous snakes may be more common than previously thought (Fry et al. 2006). Although the majority of venomous snakes are small innocuous creatures, many are capable of causing painful injury or death to humans. Venom in snakes is more for killing and subduing prey than it is for self-defense.

--Although snakes in some cultures tend to have an unfavorable reputation, the reality is that they offer important ecological, economic, and symbolic values. Ecologically, they help to maintain the balance of nature, and are important in controlling pest rodents and insects that can damage agricultural crops, infest homes, and serve as vectors of disease. They have served as food and provided snake skin for commercial products. They have also served as symbols throughout history. They have been revered in some historical cultures, such as Ancient Egypt, and even in some present societies, such as India, which is steeped in tradition regarding snakes (Deane 1833). Three important medical symbols involving snakes are used today: the Bowl of Hygieia, symbolizing pharmacy, and the Caduceus and Rod of Asclepius, which are symbols denoting medicine in general (Wilcox and Whitham 2003).

-- A word for snake is serpent. In modern usage, the term serpent usually refers to a mythic or symbolic snake. In Christianity, the serpent is often identified with the devil, as in the Biblical account of Adam and Eve. Serpent is a Middle English word that comes from Old French, and ultimately from *serp-, "to creep" (Merriam-Webster).

--order Squamata is composed of snakes (suborder Serpentes) and lizards (suborder Squamata). Members of this reptilian order are distinguished by having a lower jaw that is not joined directly to the skull, scales, and the presence of paired reproductive organs in the male (Towle 1989).

--akes have more flexible jaws than lizards, lack movable eyelids, lack external ear openings, and generally lack limbs entirely, although some species have traces of hind limbs. Lizards usually have movable eyelids (although see geckos), external ear openings (although see chameleons), and most have four-well developed limbs, often with five toes on each foot. Some lizard species, including the glass lizard and legless lizards, lack functional legs although there are some vestigial structures. These are distinguished from true snakes by the presence of eyelids and ears and a tail that can sometimes break off as a physical defense mechanism.

-- order to accommodate snakes' narrow bodies, paired organs (such as kidneys) appear one in front of the other instead of side by side. A snake has only one lung functional for breathing.

---kes may have evolved from a lizard that adapted to burrowing during the Cretaceous period (around 150 million years ago). The diversity of modern snakes appeared during the Paleocene period (around 66 to 56 million years ago).

--re are over 2,900 species of snakes ranging as far northward as the Arctic Circle in Scandinavia and southward through Australia and Tasmania (Sanchez 2007). Snakes can be found on every continent with the exception of Antarctica, dwelling in the sea and as high as 16,000 feet (4900m) in the Himalayan Mountains of Asia (Sanchez 2007; Conant and Collins 1991, 143). There are numerous islands from which snakes are conspicuously absent such as Ireland, Iceland, and New Zealand (Conant and Collins 1991, p. 143).

--l snakes are strictly carnivorous, eating animals such as lizards, other snakes, small mammals, birds, eggs, fish, snails and insects (Mehrtens 1987; Sanchez 2007; Behler and King 1979; Kaplan 1996).

--me snakes have a venomous bite, which they use to kill their prey before eating it (Freiberg 1984; Behler and King 1979). Some snakes kill their prey by constriction (Bebler 1979). Still others swallow their prey whole and alive (Behler and King 1979; Mehrtens 1987). Pareas iwesakii and other snail-eating Colubrids of subfamily Pareatinae have more teeth on the right side of their mouths than on the left, as the shells of their prey usually spiral clockwise (Hoso et al. 2007; Mehrtens 1987).


--rican Egg-eating Snake
--akes do not chew their food and have a very flexible lower jaw—the two halves of which are not rigidly attached—and numerous other joints in their skull allowing them to open their mouths wide enough to swallow their prey whole, even if it is larger in diameter than the snake itself (Behler and King 1979). The African egg-eating snake has flexible jaws adapted for eating eggs much larger than the diameter of its head (Mehrtens 1987). This snake has no teeth, but does have bony protrusions on the inside edge of its spine that aid in breaking the shells of the eggs it eats (Mehrtens 1987).

--ter eating, snakes become torpid while the process of digestion takes place (Rosenfeld 1989). Digestion is an intense activity, especially after the consumption of very large prey. In species that feed only sporadically, the entire intestine enters a reduced state between meals to conserve energy, and the digestive system is "up-regulated" to full capacity within 48 hours of prey consumption. Being ectothermic or cold blooded, the surrounding temperature plays a large role in a snakes digestion. The ideal temperature for snakes to digest their food is around 30 degrees Celsius. So much metabolic energy is involved in digestion that in Crotalus durissus, the Mexican rattlesnake, an increase of body temperature to as much as 14 degrees Celsius above the surrounding environment has been observed (Tattersall et al. 2004). Because of this, a snake disturbed after having eaten recently will often regurgitate its prey in order to be able to escape the perceived threat. However, when undisturbed, the digestive process is highly efficient, dissolving and absorbing everything but hair and claws, which are excreted along with uric acid waste. Snakes have been known to die from trying to swallow an animal that is too big.

--in